aboutsummaryrefslogtreecommitdiffstats
path: root/testing/polkit-kde-agent/APKBUILD
diff options
context:
space:
mode:
authorLinux User <se@alpine-desktop.my.domain>2014-10-16 19:52:25 +0400
committerNatanael Copa <ncopa@alpinelinux.org>2014-10-17 13:52:16 +0000
commit9085b73f09d41af164193a3e0b5e22fcce80d503 (patch)
tree5d2e5fa503bf2540ddeed992a4aba407ffa24649 /testing/polkit-kde-agent/APKBUILD
parent276617c77708f50d68ba9b4c87a866399ddd7250 (diff)
downloadaports-9085b73f09d41af164193a3e0b5e22fcce80d503.tar.gz
aports-9085b73f09d41af164193a3e0b5e22fcce80d503.tar.bz2
aports-9085b73f09d41af164193a3e0b5e22fcce80d503.tar.xz
Added KDE core packages
Diffstat (limited to 'testing/polkit-kde-agent/APKBUILD')
-rw-r--r--testing/polkit-kde-agent/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/testing/polkit-kde-agent/APKBUILD b/testing/polkit-kde-agent/APKBUILD
new file mode 100644
index 0000000000..a026749e9a
--- /dev/null
+++ b/testing/polkit-kde-agent/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: k0r10n <k0r10n.dev@gmail.com>
+# Maintainer:
+pkgname=polkit-kde-agent
+pkgver=0.99.0
+pkgrel=0
+pkgdesc="Daemon providing a polkit authentication UI for KDE"
+url="https://projects.kde.org/projects/extragear/base/polkit-kde-agent-1"
+arch="all"
+license="GPL"
+depends=
+depends_dev="kdelibs-dev"
+makedepends="$depends_dev automoc4 cmake"
+install=""
+subpackages="$pkgname-lang"
+source="ftp://ftp.kde.org/pub/kde/stable/apps/KDE4.x/admin/${pkgname}-1-${pkgver}.tar.bz2
+ polkit-kde-agent-1-0.99.0-remember_password-1.patch"
+
+_builddir="$srcdir"/${pkgname}-1-${pkgver}
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ mkdir "$_builddir"/build
+}
+
+build() {
+ cd "$_builddir"/build
+ cmake -DCMAKE_INSTALL_PREFIX=/usr \
+ -Wno-dev "$_builddir" || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"/build
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="a02d3fddc6270a88bceaf3ba604c92f8 polkit-kde-agent-1-0.99.0.tar.bz2
+07dbdaa9a0ae90ecdc0c1d69bf680380 polkit-kde-agent-1-0.99.0-remember_password-1.patch"
+sha256sums="e371ff2698431decc825bb146d638de432f5fffd09046e225270c30dbac1b467 polkit-kde-agent-1-0.99.0.tar.bz2
+7e7305659a9fbb3070e0917b6bd9b7562773d040273eafeb46dab0fd99b1edea polkit-kde-agent-1-0.99.0-remember_password-1.patch"
+sha512sums="275fe35218c708fa6d653c580814c97da7b51b0b9cb67f2c5ec1e5b29f2acc2489b4c72d5217a76ff1f3f086560cdbbfa12ec56a1d01996b38e7e706d43f3aa0 polkit-kde-agent-1-0.99.0.tar.bz2
+b9e8cf34b045c376601fa5b0a59bb92de8750f91f7a5901b23dff7d2880b66055379cee1f66f88aa8ddbeb12a842f642cb08f3e3688a29b47bc72e3ff408decd polkit-kde-agent-1-0.99.0-remember_password-1.patch"